<% provide(:title, 'Registrazione') %>
<h1>Registrazione</h1>
<div class="row">
  <div class="col-md-6 col-md-offset-3">
    <%= form_for(@company) do |f| %>
      <%= f.label :name, "Nome" %>
      <%= f.text_field :name, class: "form-control" %>

      <%= f.label :email %>
      <%= f.email_field :email, class: "form-control" %>

      <%= f.label :description, "Descrizione" %>
      <%= f.text_field :description, class: "form-control" %>

      <%= f.label :address, "Indirizzo" %>
      <%= f.text_field :address, class: "form-control" %>

      <%= f.label :vacancies, "Posti disponibili" %>
      <%= f.number_field :vacancies, class: "form-control" %>

      <%= f.label :password %>
      <%= f.password_field :password, class: "form-control" %>

      <%= f.label :password_confirmation, "Conferma password" %>
      <%= f.password_field :password_confirmation, class: "form-control" %>

      <hr>
      <div id="show-hint" class="btn btn-link">Tabella dei livelli di competenza</div>
      <div style="display:flex">
        <div style="flex:7;margin-right:5px">
          <%= f.label :company_skills, "Competenze richieste" %>
          <%= select_tag :company_skills,
                    options_from_collection_for_select(
                               Skill.all.sort_by{|obj| obj.name}, "id", "name"),
                    { class: "form-control" } %>
        </div>
        <div style="flex:1;margin-right:5px">
          <label for="skill_level">Livello:</label>
          <input type="number" class="form-control"
                               id="skill_level" name="skill_level" value="1" />
        </div>
        <div style="margin-top:25px;height:34px;" class="btn btn-success"
                                                  id="add_skill">+</div>
      </div>

      <ul class="list-group" id="skills-list"></ul>

      <%= f.submit "Registrati", class: "btn btn-primary" %>
    <% end %>
  </div>
</div>


<div id="skill-hint-overlay">
  <div id="skill-hint-container">
    <div style="margin-bottom:10px;">
      <div style="float:left"><b>Descrizione dei livelli di competenza</b></div>
      <div id="close-hint" style="float:right;cursor:pointer">X</div>
      <div style="clear:both"></div>
    </div>
    <table border="1">
      <tr><th>Livello</th><th>Descrizione</th></tr>
      <tr><td>1</td>
        <td><ul>
            <li>Opera sotto supervisione di altri in situazioni ricorrenti;</li>
            <li>
              Conoscenza degli elementi costitutivi e delle caratteristiche di
              base della materia/tecnica, dal punto di vista teorico e generale.
            </li>
          </ul></td></tr>
      <tr><td>2</td>
        <td><ul>
            <li>Opera autonomamente in situazioni ricorrenti;</li>
            <li>Opera sotto la supervisione di altri in situazioni mediamente complesse;</li>
            <li>
              Conoscenza della materia sufficiente a comprenderne l’applicazione
              e ad utilizzare sul lavoro come è acquisibile con esperienze
              professionali di base.
            </li>
          </ul></td></tr>
      <tr><td>3</td>
        <td><ul>
            <li>Opera autonomamente in situazioni mediamente complesse;</li>
            <li>
              Opera con l’indirizzo e/o la supervisione di altri in situazioni complesse;
            </li>
            <li>
              Conoscenza della materia/tecnica adeguata e tale da comprenderne
              l’applicazione e ad utilizzare in modo completo sul lavoro come è
              acquisibile con esperienze professionali diverse maturate nel tempo.
            </li>
          </ul></td></tr>
      <tr><td>4</td>
        <td><ul>
            <li>Opera in autonomia in situazioni complesse;</li>
            <li>
              Conoscenza che permette di operare pienamente e produrre risultati
              completi, come è acquisibile dallo svolgimento di attività nella
              specifica area professionale o in altre collegate.
            </li>
          </ul></td></tr>
      <tr><td>5</td>
        <td><ul>
            <li>Opera in autonomia in situazioni di elevata complessità;</li>
            <li>
              Conoscenza elevata della materia/tecnica, frutto di studi, ampie
              esperienze di lavoro nella specifica area professionale e in
              altre, che consente risultati di lavoro rilevanti.
            </li>
          </ul></td></tr>
    </table>
  </div>
</div>
